Skip to content
ShopentlyLearn

Delete a feature value

Permanently delete product feature definitions and values.

DELETE/api/v1/features/{identity}/values/{value_id}

cURL request

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request DELETE \
  --url 'https://shop.onshopently.com/api/v1/features/example/values/example?expected_version=1' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-delete_feature_value_api_v1_features__identity__values__value_id__delete'

Response

{
  "data": {
    "deleted": true,
    "id": "example",
    "version": null
  },
  "meta": {
    "request_id": "example"
  }
}

Required permissions

Authentication
Access token
Available from
STANDARD
Key permission
Delete featurescatalog.feature:delete